Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 526282 - dev-vcs/stgit-0.17.1-r1: bash completion installed under wrong name
Summary: dev-vcs/stgit-0.17.1-r1: bash completion installed under wrong name
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: René 'Necoro' Neumann
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bashcomp2
  Show dependency tree
 
Reported: 2014-10-21 16:18 UTC by Michał Górny
Modified: 2014-10-22 14:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
stgit-0.17.1-r1.ebuild.diff (stgit-0.17.1-r1.ebuild.diff,398 bytes, patch)
2014-10-22 11:33 UTC, René 'Necoro' Neumann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-21 16:18:19 UTC
* Problems with installed bash completions were found:
 * 
 * 	stgit: incorrect name, no completions for 'stgit' command defined.
 * 	stg: missing alias (symlink) for completed command.
 * 
 * For more details on installing bash-completions, please see:
 * https://wiki.gentoo.org/wiki/Bash/Installing_completion_files

It should be 'stg' (like the command) rather than 'stgit'.
Comment 1 René 'Necoro' Neumann 2014-10-22 11:33:59 UTC
Created attachment 387204 [details, diff]
stgit-0.17.1-r1.ebuild.diff

Well, the patch is obvious and the same for both ebuilds.

BUT: I can't seem to test it, because the newly installed bashcomps are not loaded yet by bash. (NB: I'm a zsh user and not used to bash...)
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-22 11:43:16 UTC
Yes, that looks fine. Please commit it :).
Comment 3 Yixun Lan gentoo-dev 2014-10-22 14:28:17 UTC
 
+  22 Oct 2014; Yixun Lan <dlan@gentoo.org> stgit-0.16-r2.ebuild,
+  stgit-0.17.1-r1.ebuild:
+  fix bashcomp, bug 526282. thanks Necoro
+

fixed without revision bump, thanks all